<?php
include('include/config.inc.php');
if(!isset($_SESSION['s_activId']))
{
  $_SESSION['s_urlRedirectDir'] = $_SERVER['REQUEST_URI'];
  header("Location:checkLogin.php");
}
else
{
  $msg  = "";
  $done = "";
  if(isset($_POST['oldPassword']))
  {
    $selectQuery = "SELECT password
                      FROM user
                     WHERE userName = '".$_SESSION['s_activId']."'
                       AND password = '".($_POST['oldPassword'])."'";
    $selectQueryResult = mysql_query($selectQuery);
    if($afectedAny = mysql_fetch_array($selectQueryResult))
    {
      $afectedAny['password'];
      if($afectedAny['password'] == ($_POST['oldPassword']))
      {
        $updateQuery = "UPDATE user
                           SET password = '".($_POST['newPassword'])."'
                         WHERE userName = '".$_SESSION['s_activId']."'
                           AND password = '".($_POST['oldPassword'])."'";
        mysql_query($updateQuery);
        header("Location:./changePassword.php?done=done");
      }
      else
      {
        $msg = "Password Not Change";
      }
    }
    else
    {
      $msg="Old Password Is Incorrect";
    }
  }
  $done = isset($_REQUEST['done']) && $_REQUEST['done'] != '' ? $_REQUEST['done'] : '';
  if($done == 'done')
  {
  	$msg="Password Change Succesfully";
  }
  include("./bottom.php");
  $smarty->assign("msg",$msg);
  $smarty->assign("done",$done);
  $smarty->display("changePassword.tpl");
}
?>